Prolifto
API reference

Billing

Platform plans, subscriptions, and invoices

Get Overview

POST
/billing/getOverview

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billing/getOverview"
{}

Cancel At Period End

POST
/billing/cancelAtPeriodEnd

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billing/cancelAtPeriodEnd"
{}

Cancel Scheduled Downgrade

POST
/billing/cancelScheduledDowngrade

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billing/cancelScheduledDowngrade"
{}

Schedule Downgrade

POST
/billing/scheduleDowngrade

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billing/scheduleDowngrade" \  -H "Content-Type: application/json" \  -d '{    "planSlug": "string"  }'
{}

Request Invoice

POST
/billing/requestInvoice

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billing/requestInvoice" \  -H "Content-Type: application/json" \  -d '{    "planSlug": "string"  }'
{}

Resume Subscription

POST
/billing/resumeSubscription

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billing/resumeSubscription"
{}

Upload Receipt

POST
/billing/uploadReceipt

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/billing/uploadReceipt" \  -H "Content-Type: application/json" \  -d '{    "invoiceId": "string",    "paymentMethod": "TRANSFER",    "receiptDataUrl": "string"  }'
{}